function area = compMidpoint(f,a,b,n)
% function y = compMidpoint(f,a,b)
% Use composite midpoint to approx area under f on [a,b] with n
% subintervals

% create the n+1 points for n subintervals
x = linspace(a,b,n+1);
h = x(2)-x(1);

% Evaluate f at all the interval midpoints
fx = feval(f,(x(1:end-1) + x(2:end))/2);

% Apply midpoint formula
area = h * sum(fx);
