function area = compSimpson(f,a,b,n)
% function y = compMidpoint(f,a,b)
% Use composite midpoint to approx area under f on [a,b] using n
% subintervals

% create the n+1 "node" points for n subintervals, and the midpoints
x = linspace(a,b,n+1);
xmid = (x(1:end-1) + x(2:end))/2;
h = x(2)-x(1);

% Rule is: sum( h/6 * (f(xi) + 4f(ximid) + f(xi+1)) )
fx = feval(f,x);
fxmids = feval(f,xmid);

area = h/6 * ( fx(1) + fx(end) + 2*sum(fx(2:end-1)) + 4*sum(fxmids) );
